org.vishia.commander

## Class FcmdLeftMidRightPanel

- java.lang.Object
- - org.vishia.commander.FcmdLeftMidRightPanel

-     public class FcmdLeftMidRightPanel
      extends java.lang.Object

  Data for one panel left, middle or right. It contains the tab-card for the favor folder selection.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) static class` | `FcmdLeftMidRightPanel.FcmdFavorThemeCard`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) FcmdFileCard` | `actFileCard` The current opened file card.
    `(package private) boolean` | `bFavorCardHasFocus` If the favor card is in foreground, it contains true.
    `(package private) boolean` | `bFavorThemeCardHasFocus`
    `(package private) FcmdLeftMidRightPanel.FcmdFavorThemeCard` | `cardFavorThemes` Table widget for the select table.
    `(package private) char` | `cc` Characteristic char for the panel: l, m, r
    `(package private) char` | `cNr` Characteristic number for the panel: 1, 2, 3
    `(package private) java.util.Map<java.lang.String,java.lang.String>` | `indexActualDir` Stores the current directory for all actual file panels.
    `(package private) int` | `ixMainPanel` Index of panel 0, 1, 2.
    `(package private) java.util.List<FcmdFileCard>` | `listTabs` List of all Tabs of this Panel, used and unused.
    `(package private) Fcmd` | `main`
    `(package private) int` | `orderMainPanel` The order number of the panel in order of usage. 1 = actual focused panel, 2 = last focused, 3 = third focused, 0 = no file panel.
    `(package private) GralTabbedPanel` | `tabbedPanelFavorCards` The container for the tabs for selection.
    `(package private) GralTabbedPanel` | `tabbedPanelFileCards` The container for all tabs of this TabbedPanel.
    `static int` | `version` Version and history 2012-01-08 Hartmut the extra class FcmdFavorTabCard is now an inner class here because it needs some elements shared with this outer class.
    `(package private) int[]` | `widthSelecttableSub`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FcmdLeftMidRightPanel(Fcmd javaCmd, char cc, char cNr, GralMng mng)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) void` | `buildInitialTabs()` Build the initial content of one of the three tabbed panels, called in the build phase of the GUI.
    `(package private) void` | `checkRefresh(long since)`
    `(package private) void` | `fillCards()`
    `(package private) boolean` | `focusLeftCard()`
    `(package private) boolean` | `focusRightCard()`
    `(package private) FcmdFileCard` | `searchFileCard(java.lang.String label)`
    `(package private) FcmdFileCard` | `searchOrCreateFileCard(java.lang.String label)`
    `(package private) void` | `setFocus()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version and history
      - 2012-01-08 Hartmut the extra class FcmdFavorTabCard is now an inner class here because it needs some elements shared with this outer class.
      - 2011-11-00 Hartmut creation
      See Also:
        Constant Field Values

    - #### main

          final Fcmd main

    - #### tabbedPanelFileCards

          GralTabbedPanel tabbedPanelFileCards

      The container for all tabs of this TabbedPanel. It is a `GralPanelContent` of the primaryWindow associated to one of the frame areas of the GralArea9_ifc.

    - #### tabbedPanelFavorCards

          GralTabbedPanel tabbedPanelFavorCards

      The container for the tabs for selection. It is the first `GralPanelContent` inside the `tabbedPanelFileCards` designated with "a-F1" etc.

    - #### cardFavorThemes

          FcmdLeftMidRightPanel.FcmdFavorThemeCard cardFavorThemes

      Table widget for the select table.

    - #### listTabs

          java.util.List<FcmdFileCard> listTabs

      List of all Tabs of this Panel, used and unused. This tabs are presented in the `FcmdLeftMidRightPanel.FcmdFavorThemeCard` table

    - #### actFileCard

          FcmdFileCard actFileCard

      The current opened file card.

    - #### bFavorCardHasFocus

          boolean bFavorCardHasFocus

      If the favor card is in foreground, it contains true. If the file card is in foreground, it contains false. The information will be set in the select line methods of the table.

    - #### bFavorThemeCardHasFocus

          boolean bFavorThemeCardHasFocus

    - #### indexActualDir

          final java.util.Map<java.lang.String,java.lang.String> indexActualDir

      Stores the current directory for all actual file panels.

    - #### cc

          final char cc

      Characteristic char for the panel: l, m, r

    - #### cNr

          final char cNr

      Characteristic number for the panel: 1, 2, 3

    - #### ixMainPanel

          final int ixMainPanel

      Index of panel 0, 1, 2.

    - #### orderMainPanel

          int orderMainPanel

      The order number of the panel in order of usage. 1 = actual focused panel, 2 = last focused, 3 = third focused, 0 = no file panel.

    - #### widthSelecttableSub

          final int[] widthSelecttableSub

  - ### Constructor Detail

    - #### FcmdLeftMidRightPanel

          FcmdLeftMidRightPanel(Fcmd javaCmd,
                                char cc,
                                char cNr,
                                GralMng mng)

  - ### Method Detail

    - #### buildInitialTabs

          void buildInitialTabs()

      Build the initial content of one of the three tabbed panels, called in the build phase of the GUI.
      Parameters:
        `which` - Number 1 2 3 for left, mid, right

    - #### setFocus

          void setFocus()

    - #### fillCards

          void fillCards()

      Parameters:
        `which` - Number 1 2 3 for left, mid, right

    - #### searchOrCreateFileCard

          FcmdFileCard searchOrCreateFileCard(java.lang.String label)

    - #### searchFileCard

          FcmdFileCard searchFileCard(java.lang.String label)

    - #### checkRefresh

          void checkRefresh(long since)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### focusLeftCard

          boolean focusLeftCard()

    - #### focusRightCard

          boolean focusRightCard()